Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gudusoft.gsqlparser
Enum EDbObjectType

    java.lang.Object
      java.lang.Enum<EDbObjectType>
          gudusoft.gsqlparser.EDbObjectType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EDbObjectType>

    public enum EDbObjectType

extends java.lang.Enum<EDbObjectType>

Enum Constant Summary
`column`
`column_alias`
`function`
`index`
`plsql_package`
`procedure`
`table`
`table_alias`
`trigger`
`unknown`

Method Summary
`static EDbObjectType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EDbObjectType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### unknown

    public static final EDbObjectType unknown

### column

    public static final EDbObjectType column

### table

    public static final EDbObjectType table

### column_alias

    public static final EDbObjectType column_alias

### table_alias

    public static final EDbObjectType table_alias

### index

    public static final EDbObjectType index

### procedure

    public static final EDbObjectType procedure

### function

    public static final EDbObjectType function

### trigger

    public static final EDbObjectType trigger

### plsql_package

    public static final EDbObjectType plsql_package

Method Detail

### values

    public static final EDbObjectType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EDbObjectType c : EDbObjectType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EDbObjectType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD